Delphi-PRAXiS
Seite 1 von 2  1 2   

Delphi-PRAXiS (https://www.delphipraxis.net/forum.php)
-   Cross-Platform-Entwicklung (https://www.delphipraxis.net/91-cross-platform-entwicklung/)
-   -   Delphi XE8 - Package kann nicht installiert werden. (e8008016)! (https://www.delphipraxis.net/184771-delphi-xe8-package-kann-nicht-installiert-werden-e8008016.html)

weisswe 20. Apr 2015 11:51

Delphi XE8 - Package kann nicht installiert werden. (e8008016)!
 
Hallo!

Habe heute Delphi XE8 installiert.
Erster Test: Leere geräteübergreifende Anwendung für iOS
Einstellungen für die Bereitstellung habe ich dann sowohl in den Tools - Optionen - Bereitstellung
sowie im Projekt selbst gemacht.
Die mobile Bereitstellungsdatei sowie das Entwickerzertifikat wurden sofort erkannt.
Was mir gleich aufgefallen ist - die Anzeige darunter (Ausgewählte Entitäten) ist leer.
Der Versuch meine leere App auf das Gerät (iPhone, iPad) zu bringen schlug fehl - Package kann nicht installiert werden. (e8008016)!

Erster Gedanke: ENTITLEMENTS
Und ja - die Einträge sind leer!
<key>application-identifier</key>
<string></string>

Die sollten doch automatisch gefüllt werden, oder muss man das immer noch manuell ändern wie in XE7??

Darlo 20. Apr 2015 14:52

AW: Delphi XE8 - Package kann nicht installiert werden. (e8008016)!
 
Wenn die Anzeige unten leer bleibt war bei mir der Identifier in den Versionsinfos nicht gesetzt oder falsch.

weisswe 20. Apr 2015 18:21

AW: Delphi XE8 - Package kann nicht installiert werden. (e8008016)!
 
Hello Darlo!

Ja, das wars! DANKE!!!
:thumb:

Darlo 20. Apr 2015 20:42

AW: Delphi XE8 - Package kann nicht installiert werden. (e8008016)!
 
Schön, dass es geholfen hat. Wollte schon ewig ein How-To zu den **** p800 Meldungen tippen, der Fehlerdialog, der leider auch keine Checkbox "nicht mehr anzeigen" hat, hilft leider weniger...

bcvs 21. Apr 2015 09:35

AW: Delphi XE8 - Package kann nicht installiert werden. (e8008016)!
 
Hallo,

ich bekomme jetzt den gleichen Fehler in Appmethod 1.16. Verstehe allerdings nicht so richtig, was ihr da gemacht habt.

Welche Anzeige bleibt unten leer? Wo finde ich diese Entitlements? und welchen Identifierer mus ich wo einsetzen?

Kann mir das bitte jemand nochmal zum Mitschreiben erklären?

Mavarik 21. Apr 2015 09:39

AW: Delphi XE8 - Package kann nicht installiert werden. (e8008016)!
 
Zitat:

Zitat von bcvs (Beitrag 1298638)
Hallo,

ich bekomme jetzt den gleichen Fehler in Appmethod 1.16. Verstehe allerdings nicht so richtig, was ihr da gemacht habt.

Welche Anzeige bleibt unten leer? Wo finde ich diese Entitlements? und welchen Identifierer mus ich wo einsetzen?

Kann mir das bitte jemand nochmal zum Mitschreiben erklären?

Ich kenne jetzt das Fenster in Appmethod nicht aber im Delphi steht:

Bei
CFBundleName : $(ModuleName)
CFBundleIdentifer : $(ModuleName)

Wenn Dein Wildcard Profil als nicht dem Modulnamen entspricht, funktioniert es nicht...

Siehe

bcvs 21. Apr 2015 10:03

AW: Delphi XE8 - Package kann nicht installiert werden. (e8008016)!
 
Danke jetzt funktioniert es.

Zitat:

Ich kenne jetzt das Fenster in Appmethod nicht aber im Delphi steht:

Bei
CFBundleName : $(ModuleName)
CFBundleIdentifer : $(ModuleName)

Wenn Dein Wildcard Profil als nicht dem Modulnamen entspricht, funktioniert es nicht...
Das sieht in Appmethod genauso aus unter Projekt - Optionen - Versionsinformationen.

Man muss vor das $(ModuleName) noch das Wildcard-Profil setzen, also z.b. de.xxxx.$(ModuleName)

Darlo 21. Apr 2015 10:16

AW: Delphi XE8 - Package kann nicht installiert werden. (e8008016)!
 
AppMethod ist da noch auf dem Stand von XE7, oder? Mit XE8 wird alles einfacher.

Mavarik 21. Apr 2015 10:25

AW: Delphi XE8 - Package kann nicht installiert werden. (e8008016)!
 
Zitat:

Zitat von bcvs (Beitrag 1298643)
Man muss vor das $(ModuleName) noch das Wildcard-Profil setzen, also z.b. de.xxxx.$(ModuleName)

Zum Beispiel...

Zitat:

Zitat von Darlo (Beitrag 1298646)
AppMethod ist da noch auf dem Stand von XE7, oder? Mit XE8 wird alles einfacher.

Eigentlich nicht... Ist da genau so...

bcvs 21. Apr 2015 10:29

AW: Delphi XE8 - Package kann nicht installiert werden. (e8008016)!
 
Sollte eigentlich auf dem Stand von XE8 sein. Jedenfalls kann es iOS 64bit.


Alle Zeitangaben in WEZ +1. Es ist jetzt 22:18 Uhr.
Seite 1 von 2  1 2   

Powered by vBulletin® Copyright ©2000 - 2022, Jelsoft Enterprises Ltd.
LinkBacks Enabled by vBSEO © 2011, Crawlability, Inc.
Delphi-PRAXiS (c) 2002 - 2021 by Daniel R. Wolf